
Redmine - Defect #31742

The color of h4 in the comment also changes when #note-1 is specified

2019-07-16 10:24 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.5   

Resolution: Fixed Affected version: 4.0.4

Description

"#history div:target h4" style affects h4 in comment.

The same problem occurs in forums.

 history.gif 

Associated revisions

Revision 18329 - 2019-07-18 08:55 - Go MAEDA

Fix that h4 headings in an issue note is unintendedly highlighted (#31742).

Patch by Mizuki ISHIKAWA.

Revision 18336 - 2019-07-31 11:11 - Go MAEDA

Merged r18329 from trunk to 4.0-stable (#31742).

History

#1 - 2019-07-16 10:25 - Mizuki ISHIKAWA

This change will correct it.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 1dc44f3f2..58f413964 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -311,7 +311,7 @@ tr.message td.last_message { font-size: 80%; white-space: nowrap; }

 tr.message.sticky td.subject { font-weight: bold; }

 body.avatars-on #replies .message.reply {padding-left: 32px;}

-#replies .reply:target h4 {background-color:#DDEEFF;}

+#replies .reply:target > h4 {background-color:#DDEEFF;}

 #replies h4 img.gravatar {margin-left:-32px;}

 tr.version.closed, tr.version.closed a { color: #999; }

@@ -557,7 +557,7 @@ div.journal h4 img.gravatar {margin-left:-32px;}

   border-radius: 0 0 3px 3px / 0 0 3px 3px;

 }

-#history div:target h4 {background-color:#DDEEFF;}

+#history div:target > h4 {background-color:#DDEEFF;}

 #history p.nodata {display: none;}

 div#activity dl, #search-results { margin-left: 2em; }

#2 - 2019-07-18 08:56 - Go MAEDA

- Assignee set to Go MAEDA

- Target version set to 4.0.5

Committed the patch to the trunk. Thanks.
#3 - 2019-07-31 11:11 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Files

history.gif 164 KB 2019-07-16 Mizuki ISHIKAWA
